From 8f367d667cf47b1ef404b558e112b26c096fff17 Mon Sep 17 00:00:00 2001
From: George Gelashvili and Tira Odhner <pair+ggelashvili+aodhner@pivotal.io>
Date: Fri, 10 Mar 2017 12:23:21 -0500
Subject: [PATCH 8/8] exclude node_modules from exe/dmg build step

---
 Make.bat         | 2 +-
 pkg/mac/build.sh | 2 ++
 2 files changed, 3 insertions(+), 1 deletion(-)

diff --git a/Make.bat b/Make.bat
index 026ca16c..b1bb3cc3 100644
--- a/Make.bat
+++ b/Make.bat
@@ -244,7 +244,7 @@ REM Main function Ends
     REM Clean up .pyc, .pyo, pgadmin4.db, config_local.py
     ECHO Cleaning up unnecessary files...
     FOR /R "%PGBUILDPATH%\web" %%f in (*.pyc *.pyo) do DEL /q "%%f"
-    FOR /R "%PGBUILDPATH%\web" %%f in (tests feature_tests __pycache__) do RD /Q /S "%%f"
+    FOR /R "%PGBUILDPATH%\web" %%f in (tests feature_tests __pycache__ node_modules) do RD /Q /S "%%f"
     RD /Q /S "%PGBUILDPATH%\web\regression"
     DEL /q "%PGBUILDPATH%\web\pgadmin4.db"
     DEL /q "%PGBUILDPATH%\web\config_local.py"
diff --git a/pkg/mac/build.sh b/pkg/mac/build.sh
index 923e7b90..80c652e7 100755
--- a/pkg/mac/build.sh
+++ b/pkg/mac/build.sh
@@ -169,6 +169,8 @@ _complete_bundle() {
     cp -r $SOURCEDIR/web "$BUILDROOT/$APP_BUNDLE_NAME/Contents/Resources/" || exit 1
     cd "$BUILDROOT/$APP_BUNDLE_NAME/Contents/Resources/web"
     rm -f pgadmin4.db config_local.*
+    rm -rf node_modules/
+
     echo "SERVER_MODE = False" > config_distro.py
     echo "HELP_PATH = '../../../docs/en_US/html/'" >> config_distro.py
     echo "DEFAULT_BINARY_PATHS = {" >> config_distro.py
-- 
2.12.0

